> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Balance Transactions

> Returns a list of transactions that have contributed to the Tazapay account balance. The transactions are returned in sorted order, with the most recent transactions appearing first.



## OpenAPI

````yaml get /v3/balance_transaction
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/balance_transaction:
    get:
      operationId: get_new-endpoint-1
      parameters:
        - in: query
          name: starting_after
          schema:
            type: string
            default: ''
          description: >-
            A cursor for use in pagination. Takes balance transaction object ID
            as input
        - in: query
          name: ending_before
          schema:
            type: string
            default: ''
          description: >-
            A cursor for use in pagination. Takes balance transaction object ID
            as input
        - in: query
          name: limit
          schema:
            type: integer
          description: >-
            The number of objects to be fetched, by default 10, can be from 1 to
            100
        - in: query
          name: created.gt
          schema:
            type: string
            format: date-time
          description: >-
            Returns balance transactions created after this timestamp (greater
            than)
        - in: query
          name: created.gte
          schema:
            type: string
            format: date-time
          description: >-
            Returns balance transactions created on or after this timestamp
            (greater than or equal to)
        - in: query
          name: created.lt
          schema:
            type: string
            format: date-time
          description: >-
            Returns balance transactions created before this timestamp (less
            than)
        - in: query
          name: created.lte
          schema:
            type: string
            format: date-time
          description: >-
            Returns balance transactions created on or before this timestamp
            (less than or equal to)
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      has_more:
                        type: boolean
                        default: true
                      object:
                        type: string
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            amount:
                              type: integer
                              default: 0
                            created_at:
                              type: string
                            currency:
                              type: string
                            description:
                              type: string
                            fee_details:
                              type: array
                              items:
                                type: object
                                properties: {}
                            fx_conversions:
                              type: array
                              items:
                                type: object
                                properties: {}
                            id:
                              type: string
                            metadata:
                              $ref: '#/components/schemas/Metadata'
                            net:
                              type: object
                              properties:
                                amount:
                                  type: integer
                                  default: 0
                                currency:
                                  type: string
                            object:
                              type: string
                            operation_type:
                              type: string
                            source:
                              type: string
                            type:
                              type: string
              examples:
                OK:
                  summary: OK
                  value:
                    status: success
                    message: ''
                    data:
                      has_more: true
                      object: list
                      results:
                        - amount: 89
                          created_at: '2025-10-22T10:19:51.542Z'
                          currency: USD
                          description: <pot_id>
                          fee_details: []
                          fx_conversions: []
                          id: <btr_id>
                          metadata: {}
                          net:
                            amount: 89
                            currency: USD
                          object: balance_transaction
                          operation_type: credit
                          source: <btr_id>
                          type: payout_reversal
                        - amount: -88
                          created_at: '2025-10-16T10:01:10.924Z'
                          currency: USD
                          description: ''
                          fee_details:
                            - amount: -1
                              currency: USD
                              type: variable_fee
                          fx_conversions: []
                          id: <btr_id>
                          metadata: {}
                          net:
                            amount: -89
                            currency: USD
                          object: balance_transaction
                          operation_type: debit
                          source: pot_id
                          type: payout
components:
  schemas:
    Metadata:
      type: object
      description: Custom metadata key-value pairs attached to the object
      additionalProperties:
        type: string
      nullable: true
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````